This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268369 - Review Request: rubygem-http_parser.rb - Simple callback-based HTTP request/response parser
Review Request: rubygem-http_parser.rb - Simple callback-based HTTP request/r...
Status: CLOSED DUPLICATE of bug 1372999
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1268371
  Show dependency treegraph
 
Reported: 2015-10-02 13:16 EDT by Ilya Gradina
Modified: 2016-09-08 08:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-08 08:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jun Aruga 2016-03-09 10:28:17 EST
Let me review this.
But if there are any other things to comment, please comment.

* spec file
  - You should add your test suite in %check section.

    See https://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites
    > If the source code of the package provides a test suite, it should be executed in the %check section, whenever it is practical to do so.

  - rubygem-http_parser is using ruby_http_parser.so compiled by itself.
    But http_parser package exits in Fedora package.
    So, should use the package.

    See http://fedoraproject.org/wiki/Packaging:ReviewGuidelines
    > MUST: Packages must NOT bundle copies of system libraries

* license
  ok after checking with licensecheck tool.

* rpmlint
  - rpmlint shows below thing. but it looks no problem.
    rubygem-http_parser.rb.x86_64: E: zero-length /usr/lib64/gems/ruby/http_parser.rb-0.6.0/gem.build_complete
  - Other warnings looks ok.
Comment 2 Vít Ondruch 2016-03-09 10:51:30 EST
(In reply to Jun Aruga from comment #1)
> * rpmlint
>   - rpmlint shows below thing. but it looks no problem.
>     rubygem-http_parser.rb.x86_64: E: zero-length
> /usr/lib64/gems/ruby/http_parser.rb-0.6.0/gem.build_complete

This is actually false positive. The file has to be there and has 0 bytes length.
Comment 3 Vít Ondruch 2016-09-08 08:06:19 EDT

*** This bug has been marked as a duplicate of bug 1372999 ***

Note You need to log in before you can comment on or make changes to this bug.